# Created by pyp2rpm-1.1.2
%global pypi_name click

Name:           python-click
Version:        6.2
Release:        %mkrel 1
Group:          Development/Python
Summary:        A simple wrapper around optparse for powerful command line utilities

License:        BSD
URL:            http://github.com/mitsuhiko/click
Source0:        https://pypi.python.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(sphinx)
BuildRequires:  pythonegg(2)(sphinx-rtd-theme)


%description
$ click_

Click is a Python package for creating beautiful command line
interfaces in a composable way with as little code as necessary.  It's
the "Command Line Interface Creation Kit".  It's highly configurable
but comes with sensible defaults out of the box.

It aims to make the process of writing command line tools quick and
fun while also preventing any frustration caused by the inability to
implement an intended CLI API.


%package -n     python3-%{pypi_name}
Summary:        A simple wrapper around optparse for powerful command line utilities
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(sphinx)
BuildRequires:  pythonegg(3)(sphinx-rtd-theme)

%description -n python3-%{pypi_name}
$ click_

Click is a Python package for creating beautiful command line
interfaces in a composable way with as little code as necessary.  It's
the "Command Line Interface Creation Kit".  It's highly configurable
but comes with sensible defaults out of the box.

It aims to make the process of writing command line tools quick and
fun while also preventing any frustration caused by the inability to
implement an intended CLI API.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%py2_build

# generate html docs 
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

pushd %{py3dir}
%py3_build
# generate html docs 
# python3 issues in generating docs
#sphinx-build-3.4 docs html
# remove the sphinx-build leftovers
#rm -rf html/.{doctrees,buildinfo}
popd


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
pushd %{py3dir}
%py3_install
popd

%py2_install


%files
%doc html docs/license.rst CHANGES LICENSE README
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc html docs/license.rst CHANGES LICENSE README
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Mon Jan 18 2016 daviddavid <daviddavid> 6.2-1.mga6
+ Revision: 925573
- new version: 6.2
- use new python macros

* Sat Oct 10 2015 daviddavid <daviddavid> 4.1-3.mga6
+ Revision: 889192
- BR python(3)-sphinx_rtd_theme

  + tv <tv>
    - rebuild for python 3.5

* Mon Jul 20 2015 joequant <joequant> 4.1-2.mga6
+ Revision: 855571
- fix python3 build

* Sat Jul 18 2015 joequant <joequant> 4.1-1.mga6
+ Revision: 855096
- imported package python-click

